ru.bitel.bgbilling.plugins.sbpilot.server.bean

## Class SBPilotTerminalManager

- java.lang.Object
- - ru.bitel.bgbilling.plugins.sbpilot.server.bean.SBPilotTerminalManager

-     public class SBPilotTerminalManager
      extends java.lang.Object

  Класс, предоставляющий доступ к информации о терминалах (из конфига), парсящий её, управляющий "авторизацией" и т.д. Для remote-режима.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SBPilotTerminalManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getCurrentTerminalId()` Номер залогиненного терминала.
    `static SBPilotTerminal` | `getTerminal(int terminalId)` Возвращает указанный по номеру терминал.
    `static java.util.Collection<SBPilotTerminal>` | `getTerminals()`
    `static void` | `resetCache()`
    `static void` | `setCurrentTerminal(int terminalId)` Запись в сессию ИД терминала, который пользователь выбрал для использования.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SBPilotTerminalManager

          public SBPilotTerminalManager()

  - ### Method Detail

    - #### getTerminals

          public static java.util.Collection<SBPilotTerminal> getTerminals()

    - #### getTerminal

          public static SBPilotTerminal getTerminal(int terminalId)
                                             throws ru.bitel.bgbilling.common.BGException

      Возвращает указанный по номеру терминал.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setCurrentTerminal

          public static void setCurrentTerminal(int terminalId)

      Запись в сессию ИД терминала, который пользователь выбрал для использования. Передаём 0 - это значит мы разлогиниваемся.
      Parameters:
        `terminalId` - номер терминала в плагине.

    - #### getCurrentTerminalId

          public static int getCurrentTerminalId()

      Номер залогиненного терминала.
      Returns:
        номер терминала, или 0 если не выбран терминал.

    - #### resetCache

          public static void resetCache()